### Method

# AppStream Component get_content_rating

since: 0.11.0

#### Declaration [src]

    AsContentRating*
    as_component_get_content_rating (
      AsComponent* cpt,
      const gchar* kind
    )

#### Description [src]

Gets a content ratings of a specific type that are defined for this component.

Available since: 0.11.0

#### Parameters

`kind`

  Type: `const gchar*`

  A ratings kind, e.g. “oars-1.0”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsContentRating`

A `AsContentRating` or `NULL` if not found.

The returned data is owned by the instance.
The return value can be `NULL`.